CreateNetworkSecurityPolicySchedule
CreateNetworkSecurityPolicySchedule
POST
/zstack/v1/network-security-policy-schedulesOperation ID
CreateNetworkSecurityPolicyScheduleSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name.
descriptionStringOptional. The description.
resourceTypeStringRequiredThe type of the associated resource.
resourceUuidStringRequiredThe UUID of the associated resource.
timeTypeStringRequiredThe time type. Local or UTC.
repeatTypeStringRequiredThe schedule type.
startDateStringRequiredThe start date, in the format of yyyy-MM-dd.
endDateStringRequiredThe end date, in the format of yyyy-MM-dd.
startTimeStringRequiredThe start time, in the format of HH:mm.
endTimeStringRequiredThe end time, in the format of HH:mm. For Weekly, 00:00 to 00:00 indicates all day.
weekDaysListOptional. The weekdays when the Weekly schedule takes effect. 1 indicates Monday, and 7 indicates Sunday.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
